Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 19 Jun 2022 15:12:11 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have been trying to confirm delivery address without success for delivery due today. 
I forgot the password, I click forgot password and submit request to reset but email with not coming through. I have done it 3 times no email from your side. 
Why do you want us to put our Mobile numbers when you are not going to use it?you email system is very poor and frustrating. I have not changed the address on my order  Why don't your delivery guess call a customer before delivery?
Very disappointed customer. I am going on vacation tomorrow night and I need my order. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4515073